is_php_version_compatible

説明

bool is_php_version_compatible( string $required )
PHPバージョンの互換性を調べる。

パラメータ

  • $required
    PHPバージョン番号を指定。

返り値

稼働しているサイトのPHPバージョンがパラメータ$requiredで示されたバージョン以降の場合はtrueを、それ以外の場合はfalseを返す。


注意

PHPバージョンはPHPのphpversion関数で取得している。


使用例

  • PHPバージョンが7.3.0以降か調べる。
    <?php if ( is_php_version_compatible( '7.3.0' ) ) : ?>

フィルター

直接実行するフィルターはありません。

アクション

直接実行するアクションはありません。

ソースファイル

/wp-includes/functions.php

最終更新 : 2019年05月10日 11:00



お勧め

投稿記事でrubyタグを使えるようにする(前編)(2012年1月25日 更新)

rubyなどのルビ関連タグはIEの独自サポートから始まり、少し前のChrome/Safariが追随して利用できるようになっている。Firefoxはいまだにサポートしていないのだが、それなりに代替表示されるので、投稿記事で使えるようにしてみた。

WordPressの鼓動(2013年10月1日 更新)

WordPressでは、Ajaxを利用する方法の1つとして add_action関数を利用することができる。この方法を調べている過程で、'heartbeat'というおもしろそうなAjaxアクションがあったので、紹介しておく。

「順序」をtextからnumberに変更してみた(2018年5月27日 更新)

固定ページの編集画面の「投稿の属性」ウィジェットには、ページの並び替えに使用できる「順序」のinput要素がある。この「順序」のinput要素はtype属性が'text'となっており、編集の際にIMEが有効になってしまう場合がある。ページの編集頻度が多くなると、その都度IMEをオフにするのがやや面倒になってくる。

一定時間でログアウトする(2013年5月23日 更新)

ログイン関係を調べている関係で、 wp_set_auth_cookie関数に行き着く。ログイン画面の「ログイン状態を保持する」がチェックされた場合、クッキーの有効期限は14日間。チェックされていない場合は、ブラウザが閉じるまで常に有効となっているんだね。

5.3の機能強化:カスタムフィールドキーの条件指定が使いやすくなる(2019年11月19日 更新)

5.3 RC4もリリースされ、正式リリースまであと1週間。5.3の変更点を確認していると、WP_Meta_Queryクラスが変更されていた。これは「Expanded meta key comparison operators in 5.3」で紹介されており、さまざまな条件指定が追加されていた。